**KNOWN SPRING OF SORROW ISSUE**
We noticed a number of the Spring of Sorrow objectives aren't working properly, we are investigating and currently working on a potential solution.
We apologize for the inconvenience.
Options

what specs are needed to play this game?

@Kabam Miike @Kabam Zibiit @Kabam Vydious @Kabam Porthos @Kabam Lyra @KaBam Boo @""Kabam Ahab" game was fine before the 29.2.1 update then the game would crash after 1 round of arena or 2 fights (if lucky) in any quest since the 29.2.1 update now with the 30.0 update the game constantly crashes that i can't even do any fights. the only specs listed on the google play store is android 6.0 & up. i would like to be able to keep playing the game & not screw over my alliance. what specs are needed to be able to play this game?
Sign In or Register to comment.